@import "../../assets/variables";

.button {
  cursor: pointer;

  @each $key, $size in (
      (xs, $padding-xs),
      (sm, $padding-sm),
      (md, $padding-md),
      (lg, $padding-lg),
      (xl, $padding-xl),
  ) {
    &--size-#{$key} {
      padding: $size;
    }
  }
}
